
body{
    margin:0;
    padding:0;
    color: #242424; /*cinza escuro*/
    font-family: sans-serif;
    word-wrap: break-word;
    overflow-wrap: break-word;
    /*Estas duas propriedades (word-wrap: break-word, overflow-wrap: break-word) tem como efeito
    de quebrar a linha do texto caso chegue no final/quebrando a largura*/
  }
  
  h1,h2,h3,h4,h5,h6{
    font-weight: 900; /*Font negrito*/
    color: #000;
  }
  
  .wrapper{
    width: 100%;
    margin: 0 auto; /*margin 0 em cima e embaixo, e automática na esquerda e na direita*/
  }
  
  main{
    display: block; /*Display: block faz com que o elemento HTML seja renderizado como bloco,
    tal como os parágrafos e os cabeçalhos*/
    background-color: #FFF;
  }
  
  .container{
    width: 100%;
    max-width: 760px;
    margin: 0 auto;
    padding: 0 20px;
  }
  
  section.module p{
    margin-bottom: 40px;
  }
  
  /*Especificando que a última section module não tem a margim-bottom 40px como as anteiores*/
  section.module:last-child{
    margin-bottom: 0;
  }
  
  section.module h2{
    margin-bottom: 40px;
    font-size: 30px;
  }
  
  section.module.content{
   padding: 40px 0;
   background: #ece7d5; 
  }
  
  section.module.parallax{
    display: flex;
    flex-direction: column;
    justify-content: center; /*justificando textto e centralizando*/
    height: 100vh !important; /*Faz com que pegue 100% da tela*/
    width: 100%;
    position: relative;
    overflow: hidden;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-attachment: fixed; /*fixando a imagem*-> Esta propriedade é o 
    que causa o efeito Paralalax, sem ele não é possível causar o efeito/
    background-size: cover; /*Cover* fazo com que a imagem ocupe o espaço inteiro onde foi aplicada*/
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
  }
  
  section.module.parallax:after{
    content: "";
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 8;
    /*Criando sobra na imagem, a parte mais dificil pra mim, achar estes parametros*/
    background: -moz-linear-gradient(to bottom, rgba(0,0,0,0) 0, rgba(0,0,0,0) 40%, #000 100% );
    background: -webkit-linear-gradient(to bottom, rgba(0,0,0,0) 0, rgba(0,0,0,0) 40%, #000 100% );
    background: linear-gradient(to bottom, rgba(0,0,0,0) 0, rgba(0,0,0,0) 40%, #000 100% );
  }
  
  
  section.module.parallax-1{
    background-image: url("imag/pexels-paul-basel-1816714\ \(1\).jpg");
  }
  
  section.module.parallax-2{
    background-image: url("imag/pexels-andrea-piacquadio-3760069.jpg");
  }
  
  section.module.parallax-3{
    background-image: url("imag/pexels-josh-hild-4270292.jpg");
  }
  
  section.module.parallax h1{
    color: #FFF;
    text-align: center;
    font-size: 78px;
    z-index: 50;
    text-transform: uppercase;
  }
  
  @media all and (max-width: 820px) {
    section.module h2 {
      font-size: 32px;
    }
    .module h2, p{
      padding: 0 8px;
    }
  
    .container{
      margin:0;
      padding:0;
    }
  
    section.module.parallax h1 {
      font-size: 36px;
    }
  }
  
  